# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add results_dir to workflow request table

Revision ID: 21dc67216082
Revises: 57c38b5f012e
Create Date: 2020-12-14 13:17:19.958781

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "21dc67216082"
down_revision = "57c38b5f012e"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "workflow_requests",
        sa.Column("results_dir", sa.String, comment="directory where workflow output is placed"),
    )


def downgrade():
    op.drop_column("workflow_requests", "results_dir")
